/* Base styles */
html, body {
    height: 100%;
}

.body {
    font-family: Roboto, "Helvetica Neue", sans-serif;
    font-weight: 300;
}

h1 {
    font-family: 'Noto Serif', serif;
    font-weight: 300;
    max-width: 280px;
    margin: 0 0 40px;
}

/* Layout */
.login-admin {
    display: flex;
}

.login-container {
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
    max-width: 2560px;
    max-height: 1440px;
    margin: auto;
    justify-content: space-between;
}

.login-panel {
    overflow: hidden;
}

.login-cover {
    display: flex;
    justify-content: flex-end;
}

.login-cover img {
    width: auto;
    height: 90%;
    align-self: flex-end;
}

/* Logo */
.logo-container {
    display: flex;
}

.login-logo-img {
    display: block;
    margin: 100px 0 150px;
    height: 58px;
    width: auto;
}

/* Form elements */
.form-label {
    margin-bottom: 20px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.inputs {
    gap: 20px;
}

.input-group input.form-control {
    border-radius: 5px;
    height: 46px;
    width: 100%;
    line-height: 40px;
    box-sizing: border-box;
    letter-spacing: 0.2px;
    font-size: 14px;
    color: #6B7280;
    padding-left: 13px;
    border: 1px solid #e0e0e0;
}

.input-group input.form-control:focus,
.input-group input.form-control:hover {
    border-color: #2f343e;
    box-shadow: none;
    outline: none;
}

/* Text styles */
form div p, .error, .logout {
    font-size: 16px;
    font-weight: 300;
    line-height: 28px;
    margin: 0 0 25px;
}

.error {
    margin: 0;
    color: #ff3138;
}

.logout {
    color: #ff3138;
    text-align: center;
    font-size: 16px;
}

.info {
    color: #08792e;
    text-align: center;
    font-size: 16px;
}

.info-box {
    padding: 0 6px 12px;
}

/* Password recovery */
.forgot-password {
    padding-bottom: 16px;
    font-size: 0.8em;
    text-decoration: underline;
    text-decoration-color: #9F9D9D;
}

.forgot-password a {
    color: #9F9D9D;
}

.forgot-password a:focus,
.forgot-password a:active,
.forgot-password a:visited {
    color: #58624C;
    text-decoration-color: #58624C;
}

/* Buttons */
.btn {
    font-family: Roboto, Helvetica Neue, sans-serif;
    font-size: 14px;
    font-weight: 500;
    min-width: 64px;
    line-height: 45px;
    height: 45px;
    padding: 0 16px;
    border-radius: 5px;
    transform: translate3d(0, 0, 0);
    transition: background 400ms cubic-bezier(0.25, 0.8, 0.25, 1), box-shadow 280ms cubic-bezier(0.4, 0, 0.2, 1);
    cursor: pointer;
}

.btn.btn-login {
    background-color: #58624C;
    color: white;
    width: 100%;
}

.btn.btn-login:hover {
    background-color: #373C32;
}

/* Browser specific */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
    background: #fff !important;
}

/* Media Queries */
@media screen and (max-width: 1024px) {
    .logo-container {
        align-items: flex-end;
    }

    .login-logo-img {
        height: 39px;
        margin: 0 0 40px;
    }
}

@media screen and (max-width: 767px) {
    .login-container {
        margin: 0;
        height: 100vh;
        padding: 40px 20px 0;
        justify-content: flex-end;
    }

    .login-section {
        padding: 0;
    }

    .form-label {
        margin-bottom: 12px;
    }

    .forgot-password {
        padding: 0;
    }

    .error {
        margin: 0 6px;
    }

    .login-cover {
        padding: 0 !important;
        height: 100%;
    }

    .login-cover img {
        height: 100%;
    }
}

@media screen and (max-width: 767px) and (min-height: 769px) and (orientation: portrait) {
    .login-cover {
        height: 37%;
        max-height: 37%;
    }
}

@media screen and (max-width: 767px) and (max-height: 768px) and (orientation: portrait) {
    .login-cover {
        padding: 0 !important;
        height: 30%;
        max-height: 30%;
    }
}

/* Tablets Portrait */
@media screen and (min-width: 576px) and (max-width: 1024px) and (orientation: portrait) {
    .login-container {
        padding-top: 40px;
    }

    .login-section {
        margin-left: 45px;
        padding-left: 0;
    }

    .login-cover {
        margin-left: 5px;
        max-width: initial;
        overflow-x: clip;
    }

    .login-cover img {
        width: auto;
        height: 85%;
        margin-left: 20px;
    }
}

/* Mobiles/Tablets Landscape */
@media screen and (max-width: 932px) and (orientation: landscape) {
    h1 {
        margin: 0 0 20px;
    }

    form {
        gap: 10px;
    }

    .logo-container {
        height: initial;
        margin-top: 20px;
    }

    .login-logo-img {
        margin: 0 0 20px;
    }

    .inputs {
        gap: 0;
    }

    .login-cover img {
        width: auto;
        height: 90%;
        position: fixed;
        bottom: 0;
        right: 20px;
    }
}

@media screen and (min-width: 932px) {
    .login-section {
        margin-left: 90px;
        padding-left: 0;
    }
}
